HAI Gateway 文档中心

平台 OpenAPI

My Models

列出当前账户所有可用模型及其支持的 API 端点类型。

GETinfo/my-models

Authorizations

Authorizationstringheaderrequired

Bearer sk-pat-您的AccessToken

此接口使用平台级令牌(以 sk-pat- 开头),与 Relay Mode 的供应商接口鉴权一致。

Base URL

schemas 字段说明

每个模型的 schemas 列出了该模型支持的 API 端点类型,常见值包括:openai_chat_completionsopenai_responsesanthropic_messagesgoogle-ai-generate-content。 百炼预览通道的模型会标记为 compatible_openai_chat_completionscompatible_openai_responsescompatible_anthropic_messagesmodelFamily 可用于区分供应商:openai / anthropic / google / bailian / zhipu

cURL
Default
cURL:Default
curl https://api.hai.network/info/my-models \
  -H "Authorization: Bearer sk-pat-您的Access Token"
200
Default
200:Default
[
  {
    "modelId": "claude-sonnet-4-20250514",
    "modelFamily": "anthropic",
    "schemas": [
      { "schema": "anthropic_messages" }
    ],
    "createdAt": "2025-05-14T00:00:00.000Z"
  },
  {
    "modelId": "gpt-4.1",
    "modelFamily": "openai",
    "schemas": [
      { "schema": "openai_chat_completions" },
      { "schema": "openai_responses" }
    ],
    "createdAt": "2025-04-14T00:00:00.000Z"
  },
  {
    "modelId": "gemini-2.5-pro",
    "modelFamily": "google",
    "schemas": [
      { "schema": "google-ai-generate-content" }
    ],
    "createdAt": "2025-03-01T00:00:00.000Z"
  }
]